// cc-by 3.0 Austria, (c) 2010 Markus Loeberbauer
// http://ssw.jku.at/Teaching/Lectures/SpezialLVA/JavaFX/
// based on http://code.google.com/appengine/docs/java/gettingstarted/

package guestbook;

import java.io.IOException;
import java.util.Date;

import javax.jdo.PersistenceManager;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.google.appengine.api.users.User;
import com.google.appengine.api.users.UserService;
import com.google.appengine.api.users.UserServiceFactory;

public class SignGuestbookServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	public void doPost(HttpServletRequest req, HttpServletResponse resp)
			throws IOException {
		String message = getMessage(req);
		storeMessage(message);
		resp.sendRedirect(resp.encodeRedirectURL("/"));
	}

	private String getMessage(HttpServletRequest req) {
		String message = req.getParameter("content");
		if (message == null) {
			message = "(No greeting)";
		}
		return message;
	}

	private void storeMessage(String content) {
		User user = getUser();
		Date date = new Date();
		Greeting greeting = new Greeting(user, content, date);
		
		PersistenceManager pm = PersistenceManagerFactoryProvider.get()
				.getPersistenceManager();

		try {
			pm.makePersistent(greeting);
		} finally {
			pm.close();
		}
	}

	private User getUser() {
		UserService userService = UserServiceFactory.getUserService();
		return userService.getCurrentUser();
	}
}
